From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sanitize/
Date: Sat, 28 Jan 2023 08:38:09 +0000 (UTC) [thread overview]
Message-ID: <1674895085.c29f3cc098f6f9eb1ac101c57b194ac35edae957.graaff@gentoo> (raw)
commit: c29f3cc098f6f9eb1ac101c57b194ac35edae957
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 28 08:24:58 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jan 28 08:38:05 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c29f3cc0
dev-ruby/sanitize: add 6.0.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/sanitize/Manifest | 1 +
dev-ruby/sanitize/sanitize-6.0.1.ebuild | 32 ++++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/dev-ruby/sanitize/Manifest b/dev-ruby/sanitize/Manifest
index 3ec21d475a1a..4738935cd7dc 100644
--- a/dev-ruby/sanitize/Manifest
+++ b/dev-ruby/sanitize/Manifest
@@ -1 +1,2 @@
DIST sanitize-6.0.0.tar.gz 1353309 BLAKE2B 3056b79ee9611797cb8058f37a694f029e7609b4df8d968ccbece4ffe562c30aa55d9fafdbb9abc1ded86aa0c605fbd48546b8fbedef06272f0184c16f7e9dad SHA512 8a3ce765b6bc0ef8418af785e1fea5ae3b2a32eda82cfc21f9ea36df164c293250fd277ad8ac065757db18ea104b826fcebcbd46d5ad2ab059807e377765476d
+DIST sanitize-6.0.1.tar.gz 1352433 BLAKE2B 91614d3a5fe4f3d3741a8cc8d88a98281a43424132e82932600f4140ab857a0a3492d49ed92205a7e9a05f9eb0b350c30b3b0342790baab0b5f37ab6b83357a2 SHA512 2b43b11e211ddc10c1362bb5c78abd2c8844f3daf6dbb44ddd0731af596a44f7d5883e4f45e3d29c9b8f545794b8a1f98301565818982dadd8c86ece7fd9b2a1
diff --git a/dev-ruby/sanitize/sanitize-6.0.1.ebuild b/dev-ruby/sanitize/sanitize-6.0.1.ebuild
new file mode 100644
index 000000000000..9501168de654
--- /dev/null
+++ b/dev-ruby/sanitize/sanitize-6.0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="HISTORY.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Sanitize is a whitelist-based HTML sanitizer"
+HOMEPAGE="https://github.com/rgrove/sanitize"
+SRC_URI="https://github.com/rgrove/sanitize/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/crass-1.0.2 =dev-ruby/crass-1.0*
+ >=dev-ruby/nokogiri-1.12.0
+"
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/test_sanitize.rb || die
+}
next reply other threads:[~2023-01-28 8:38 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-28 8:38 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-05 7:30 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sanitize/ Hans de Graaff
2025-01-02 10:03 Hans de Graaff
2025-01-02 10:03 Hans de Graaff
2024-08-15 6:24 Hans de Graaff
2024-07-28 5:22 Hans de Graaff
2024-06-13 5:50 Hans de Graaff
2023-12-29 7:40 Hans de Graaff
2023-12-29 7:40 Hans de Graaff
2023-09-15 5:52 Hans de Graaff
2023-07-07 4:28 Hans de Graaff
2023-04-19 20:07 Hans de Graaff
2023-03-31 1:03 Sam James
2022-05-26 5:52 Hans de Graaff
2022-03-27 10:32 Hans de Graaff
2022-03-27 10:32 Hans de Graaff
2021-10-10 23:45 Sam James
2021-10-07 22:20 Marek Szuba
2021-10-04 5:51 Hans de Graaff
2021-01-12 7:08 Hans de Graaff
2021-01-07 7:48 Fabian Groffen
2021-01-07 6:45 Hans de Graaff
2020-08-07 4:38 Hans de Graaff
2020-07-05 6:56 Hans de Graaff
2020-06-17 5:56 Hans de Graaff
2020-06-13 4:42 Hans de Graaff
2019-09-17 4:56 Hans de Graaff
2019-02-23 7:16 Hans de Graaff
2019-02-23 7:16 Hans de Graaff
2018-07-25 6:13 Hans de Graaff
2018-06-16 6:12 Hans de Graaff
2018-05-20 6:20 Hans de Graaff
2018-04-01 5:19 Hans de Graaff
2018-01-30 5:34 Hans de Graaff
2018-01-30 5:34 Hans de Graaff
2017-06-07 5:09 Hans de Graaff
2017-06-07 5:09 Hans de Graaff
2016-12-24 3:14 Manuel Rüger
2016-10-29 6:19 Hans de Graaff
2016-09-22 6:06 Hans de Graaff
2016-09-22 6:06 Hans de Graaff
2016-08-24 5:24 Hans de Graaff
2016-07-19 5:58 Hans de Graaff
2016-07-19 5:58 Hans de Graaff
2016-04-17 14:43 Manuel Rüger
2015-12-17 7:14 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1674895085.c29f3cc098f6f9eb1ac101c57b194ac35edae957.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox